YATE(8)

NAME
yate - launch the YATE telephony engine

SYNOPSIS
yate [options] [commands ...]

DESCRIPTION
Yate is a telephony engine aimed at creating a telephony softswitch that performs well enough to deal with the PBX (Private Branch eXchange) requirements, ACD (Advanced Call Distribution) and also flexible enough for complex VoIP (Voice over Internet Protocol) Gateway, Conferencing and IVR (Interactive Voice Response) solutions. Currently, all popular packet voice and, or software protocols SIP, H.323, IAX2 and Jingle as well as traditional TDM hardware including many a T1, E1, ISDN PRI and ISDN BRI are supported over various signaling protocols.

It allows developers and users to have more functionality and scalability. To achieve this goal, YATE is built from and, or extensible with two kinds of components: main engine and add-on modules and, or plug-in drivers.

The add-on and, or plug-in drivers or modules can be:

    o   channel drivers, both hardware and software

    o   codec and, or format handlers

    o   authentication, authorization and accounting handlers

    o   call routing and, or remote monitoring handlers

    o   interactive voice response and, or voicemail handlers

    o   bindings for various scripting languages

Most of the above can be written and, or test developed even in scripting languages like PHP, Python, Perl, Ruby and, or any shell.

OPTIONS

  General:

-h, --help
    Display help message (this one) and exit

-V, --version
    Display program version and exit

-v  Verbose debugging (you can use more than once)

-q  Quieter debugging (you can use more than once)

-G group
    Run yate as *nix group other than the caller

-U user
    Run yate as *nix user other than the caller

-d  Daemonify, suppress output unless logged

-s  Supervised, restart if crashes or locks up

-r  Enable rotation of log file (needs -s and -l)

-p filename
    Write PID to file

-l filename
    Log to file

-n configname
    Use specified configuration name ()

-c pathname
    Path to conf files directory (/etc/yate)

-m pathname
    Path to modules directory (/usr/lib/yate/modules)

-w directory
    Change working directory

  Debugging (may not be compiled in):

-C  Enable core dumps if possible

-D[options]
    Special debugging options

a   Abort if bugs are encountered

m   Attempt to debug mutex deadlocks

l   Try to keep module symbols local

c   Call dlclose() until it gets an error

u   Do not unload modules on exit, just finalize

i   Reinitialize after 1st initialization

x   Exit immediately after initialization

w   Delay creation of 1st worker thread

o   Colorize output using ANSI codes

s   Abort on bugs even during shutdown

t   Timestamp debugging messages relative to program start

e   Timestamp debugging messages based on EPOCH (1-1-1970 GMT)

f   Timestamp debugging in GMT format YYYYMMDDhhmmss.uuuuuu

COMMANDS
Each command is sent to the YATE modules immediately after initialization. Modules define command syntax so that is not described here. Please look at the documentation for each module.

SIGNALS

- SIGTERM and SIGINT (Ctrl-C) will cleanly stop the engine

- SIGHUP and SIGQUIT (Ctrl-\) will reinitialize the modules

- SIGUSR1 will initiate a gracefull restart (when no plugin is busy)

- SIGUSR2 will initiate an immediate restart

BUGS
Under various *BSD implementations the dlclose() function is broken and may generate a segfault on exit. However, this can be taken care of by using -Du option.

Some libpthread implementations are broken and may fail to start the threads or fail to cleanup when the thread terminates.

SEE ALSO
yate-config(8)

AUTHORS
Paul Chitescu <paulc@voip.null.ro>
Diana Cionoiu <diana@diana.null.ro>